OSDN Git Service

*** empty log message ***
authorkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Sun, 3 Feb 2008 08:28:52 +0000 (08:28 +0000)
committerkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Sun, 3 Feb 2008 08:28:52 +0000 (08:28 +0000)
git-svn-id: svn+ssh://svn.sourceforge.jp/svnroot/modchxj/mod_chxj/branches/RELEASE_0_8_0@1817 1a406e8e-add9-4483-a2c8-d8cac5b7c224

Makefile.in
configure
configure.ac
src/Makefile.in

index 6621160..c675e94 100644 (file)
@@ -79,6 +79,7 @@ AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 APR_1_CONFIG = @APR_1_CONFIG@
 APR_CONFIG = @APR_CONFIG@
+APU_1_CONFIG = @APU_1_CONFIG@
 APU_CONFIG = @APU_CONFIG@
 APXS = @APXS@
 AR = @AR@
index 2ae1cf5..9a356d4 100755 (executable)
--- a/configure
+++ b/configure
@@ -876,6 +876,7 @@ WAND_CONFIG
 APR_CONFIG
 APR_1_CONFIG
 APU_CONFIG
+APU_1_CONFIG
 with_apache_header
 QDEFS
 DDEFS
@@ -4429,7 +4430,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4432 "configure"' > conftest.$ac_ext
+  echo '#line 4433 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7156,11 +7157,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7159: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7160: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7163: \$? = $ac_status" >&5
+   echo "$as_me:7164: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7424,11 +7425,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7427: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7428: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7431: \$? = $ac_status" >&5
+   echo "$as_me:7432: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7528,11 +7529,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7531: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7532: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7535: \$? = $ac_status" >&5
+   echo "$as_me:7536: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9825,7 +9826,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9828 "configure"
+#line 9829 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9925,7 +9926,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9928 "configure"
+#line 9929 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12261,11 +12262,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12264: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12265: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12268: \$? = $ac_status" >&5
+   echo "$as_me:12269: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12365,11 +12366,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12368: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12369: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12372: \$? = $ac_status" >&5
+   echo "$as_me:12373: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -13926,11 +13927,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13929: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13930: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13933: \$? = $ac_status" >&5
+   echo "$as_me:13934: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14030,11 +14031,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14033: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14034: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14037: \$? = $ac_status" >&5
+   echo "$as_me:14038: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16217,11 +16218,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16220: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16221: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16224: \$? = $ac_status" >&5
+   echo "$as_me:16225: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16485,11 +16486,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16488: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16489: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16492: \$? = $ac_status" >&5
+   echo "$as_me:16493: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -16589,11 +16590,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16592: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16593: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16596: \$? = $ac_status" >&5
+   echo "$as_me:16597: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -19650,8 +19651,8 @@ fi
 
 
     if test "x$APR_1_CONFIG" = "xno" ; then
-      { { echo "$as_me:$LINENO: error: apr-config or apr-1-config not found." >&5
-echo "$as_me: error: apr-config or apr-1-config not found." >&2;}
+      { { echo "$as_me:$LINENO: error: apr-config and apr-1-config not found." >&5
+echo "$as_me: error: apr-config and apr-1-config not found." >&2;}
    { (exit 1); exit 1; }; }
     else
       APR_CONFIG="$APR_1_CONFIG"
 set dummy apu-1-config; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_APU_CONFIG+set}" = set; then
+if test "${ac_cv_path_APU_1_CONFIG+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $APU_CONFIG in
+  case $APU_1_CONFIG in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_APU_CONFIG="$APU_CONFIG" # Let the user override the test with a path.
+  ac_cv_path_APU_1_CONFIG="$APU_1_CONFIG" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -19725,7 +19726,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_APU_CONFIG="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_APU_1_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -19733,24 +19734,26 @@ done
 done
 IFS=$as_save_IFS
 
-  test -z "$ac_cv_path_APU_CONFIG" && ac_cv_path_APU_CONFIG="no"
+  test -z "$ac_cv_path_APU_1_CONFIG" && ac_cv_path_APU_1_CONFIG="no"
   ;;
 esac
 fi
-APU_CONFIG=$ac_cv_path_APU_CONFIG
-if test -n "$APU_CONFIG"; then
-  { echo "$as_me:$LINENO: result: $APU_CONFIG" >&5
-echo "${ECHO_T}$APU_CONFIG" >&6; }
+APU_1_CONFIG=$ac_cv_path_APU_1_CONFIG
+if test -n "$APU_1_CONFIG"; then
+  { echo "$as_me:$LINENO: result: $APU_1_CONFIG" >&5
+echo "${ECHO_T}$APU_1_CONFIG" >&6; }
 else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
 
 
-    if test "x$APU_CONFIG" = "xno" ; then
-      { { echo "$as_me:$LINENO: error: apu-config not found." >&5
-echo "$as_me: error: apu-config not found." >&2;}
+    if test "x$APU_1_CONFIG" = "xno" ; then
+      { { echo "$as_me:$LINENO: error: apu-config and apu-1-config not found." >&5
+echo "$as_me: error: apu-config and apu-1-config not found." >&2;}
    { (exit 1); exit 1; }; }
+    else
+      APU_CONFIG="$APU_1_CONFIG"
     fi
   fi
 fi
@@ -22054,6 +22057,7 @@ WAND_CONFIG!$WAND_CONFIG$ac_delim
 APR_CONFIG!$APR_CONFIG$ac_delim
 APR_1_CONFIG!$APR_1_CONFIG$ac_delim
 APU_CONFIG!$APU_CONFIG$ac_delim
+APU_1_CONFIG!$APU_1_CONFIG$ac_delim
 with_apache_header!$with_apache_header$ac_delim
 QDEFS!$QDEFS$ac_delim
 DDEFS!$DDEFS$ac_delim
@@ -22061,7 +22065,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 17; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 18; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index 2386b96..689215d 100644 (file)
@@ -102,7 +102,7 @@ if test "x$with_apr_config" = "x" ; then
   if test "x$APR_CONFIG" = "xno" ; then
     AC_PATH_PROG(APR_1_CONFIG, apr-1-config, no, /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin)
     if test "x$APR_1_CONFIG" = "xno" ; then
-      AC_MSG_ERROR([apr-config or apr-1-config not found.])
+      AC_MSG_ERROR([apr-config and apr-1-config not found.])
     else
       APR_CONFIG="$APR_1_CONFIG"
     fi
@@ -114,9 +114,11 @@ fi
 if test "x$with_apu_config" = "x" ; then
   AC_PATH_PROG(APU_CONFIG, apu-config, no, /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin)
   if test "x$APU_CONFIG" = "xno" ; then
-    AC_PATH_PROG(APU_CONFIG, apu-1-config, no, /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin)
-    if test "x$APU_CONFIG" = "xno" ; then
-      AC_MSG_ERROR([apu-config not found.])
+    AC_PATH_PROG(APU_1_CONFIG, apu-1-config, no, /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin)
+    if test "x$APU_1_CONFIG" = "xno" ; then
+      AC_MSG_ERROR([apu-config and apu-1-config not found.])
+    else
+      APU_CONFIG="$APU_1_CONFIG"
     fi
   fi
 fi
index efb7f84..b1ca58a 100644 (file)
@@ -100,6 +100,7 @@ AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 APR_1_CONFIG = @APR_1_CONFIG@
 APR_CONFIG = @APR_CONFIG@
+APU_1_CONFIG = @APU_1_CONFIG@
 APU_CONFIG = @APU_CONFIG@
 APXS = @APXS@
 AR = @AR@